Solve the slider or audio CAPTCHA
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://dd.antibotapi.com/captcha"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"type\": \"image\", \"captcha_link\": \"https://geo.captcha-delivery.com/captcha/?initialCid=...&hash=...&cid=...&t=fe&referer=...&s=43337&e=...&dm=cd\", \"html\": \"<base64 of the captcha page>\", \"background_image\": \"<base64 of the .jpg>\", \"fragment_image\": \"<base64 of the .frag.png>\", \"user_agent\": \"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/146.0.0.0 Safari/537.36\", \"ip_address\": \"203.0.113.7\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://dd.antibotapi.com/captcha"
payload := strings.NewReader("{ \"type\": \"image\", \"captcha_link\": \"https://geo.captcha-delivery.com/captcha/?initialCid=...&hash=...&cid=...&t=fe&referer=...&s=43337&e=...&dm=cd\", \"html\": \"<base64 of the captcha page>\", \"background_image\": \"<base64 of the .jpg>\", \"fragment_image\": \"<base64 of the .frag.png>\", \"user_agent\": \"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/146.0.0.0 Safari/537.36\", \"ip_address\": \"203.0.113.7\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://dd.antibotapi.com/captcha';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"type":"image","captcha_link":"https://geo.captcha-delivery.com/captcha/?initialCid=...&hash=...&cid=...&t=fe&referer=...&s=43337&e=...&dm=cd","html":"<base64 of the captcha page>","background_image":"<base64 of the .jpg>","fragment_image":"<base64 of the .frag.png>","user_agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/146.0.0.0 Safari/537.36","ip_address":"203.0.113.7"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dd.antibotapi.com/captcha \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "type": "image", "captcha_link": "https://geo.captcha-delivery.com/captcha/?initialCid=...&hash=...&cid=...&t=fe&referer=...&s=43337&e=...&dm=cd", "html": "<base64 of the captcha page>", "background_image": "<base64 of the .jpg>", "fragment_image": "<base64 of the .frag.png>", "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/146.0.0.0 Safari/537.36", "ip_address": "203.0.113.7" }'Send the CAPTCHA page and its challenge. Returns the URL to GET to submit the solution, and the client-hint headers to use for the rest of the session.
For the slider, set type to image and send background_image and fragment_image (leave both out when the
page has no puzzle). For audio, set type to audio and send audio_challenge. When the page loads its
challenge script from https://ct.captcha-delivery.com/captcha.<ver>.js, also send it as captcha_script.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”A request signature. Required only when signing is on for your key. See Authentication.
Request Bodyrequired
Section titled “Request Bodyrequired”object
image for the slider, audio for the audio challenge.
The CAPTCHA URL built from the block.
The CAPTCHA page, Base64-encoded.
The challenge script from https://ct.captcha-delivery.com/captcha.<ver>.js, Base64-encoded. Only needed
when the page loads it with <script src>.
The puzzle background (.jpg), Base64. image only, and only when the page has a puzzle.
The puzzle piece (.frag.png), Base64. image only, and only when the page has a puzzle.
The audio challenge (WAV), Base64. Required when type is audio.
The User-Agent for the session. Chrome on Windows. Defaults to the latest stable Chrome.
The first tag of your Accept-Language header.
Your proxy’s exit IP. Sets the payload’s timezone. Defaults to Europe/London.
Example
{ "type": "image", "captcha_link": "https://geo.captcha-delivery.com/captcha/?initialCid=...&hash=...&cid=...&t=fe&referer=...&s=43337&e=...&dm=cd", "html": "<base64 of the captcha page>", "background_image": "<base64 of the .jpg>", "fragment_image": "<base64 of the .frag.png>", "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/146.0.0.0 Safari/537.36", "ip_address": "203.0.113.7"}Responses
Section titled “Responses”Solved.
object
The URL to GET to submit the solution.
The solution query string, already part of captcha_submit_url.
Client hints (sec-ch-ua, sec-ch-ua-full-version-list and others) to send, exactly as given, on your requests
for the rest of the session. The payload was built to match them.
object
Example generated
{ "success": true, "captcha_submit_url": "example", "payload": "example", "headers": { "additionalProperty": "example" }}The request is invalid, or the solve failed for a reason you can fix. error says why. Not billed.
object
What went wrong.
Example
{ "success": false}The API key is missing, unknown, revoked or out of balance.
object
What went wrong.
Example
{ "success": false, "error": "x-api-key is required"}The site is not approved for your account. Request it from the dashboard.
object
What went wrong.
Example
{ "success": false, "error": "site is not whitelisted for this service"}Something failed on our side. Retry once. Not billed.
object
What went wrong.
Example
{ "success": false}